Subject: Re: [v6ops] New Version Notification for draft-palet-v6ops-rfc7084-bis2-00.txt

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Sun, 11 Jun 2017 21:16:42 +0200

Hi all,

I just published an alternative to draft-ietf-v6ops-rfc7084-bis-03.txt.

The idea of this document is to have a “minimum IPv6-only” simple CE router, no IPv4 support, no transition mechanisms, no HNCP.

This is not only going back to RFC6204, but in fact making it a much simpler device, which is suitable also for scenarios where for sure there will be for example “IPv6-only” sensors/devices, etc.

I’m also working in another document that will be including, as an extension to this document, the support for HNCP, dual-stack and transition stuff. I hope to finish it tonight.

I’m not yet taking a position, this should be in the hands of the WG, I guess a poll may be needed, if we want to go this or that path.

One specific question about this document. RFC 7084 included W-6:
W-6:  The WAN interface of the CE router SHOULD support a Port
         Control Protocol (PCP) client as specified in [RFC6887] for use
         by applications on the CE router.  The PCP client SHOULD follow
         the procedure specified in Section 8.1 of [RFC6887] to discover
         its PCP server.  This document takes no position on whether
         such functionality is enabled by default or mechanisms by which
         users would configure the functionality.  Handling PCP requests
         from PCP clients in the LAN side of the CE router is out of
         scope.

I know PCP can be used also for controlling IPv6 ports, but I feel that in an IPv6-only CE, doesn’t have too much sense, and if we want a really minimum IPv6-CE, then I think it doesn’t make sense (maybe if the ISP want to use NAT64 to provide access to IPv4-only resources in an IPv6-only network but having a control on ports … I don’t see it …). Opinions?

Of course, another possibility is to have one more document which is “Minimum requirements for IPv6 CE Router with dual-stack support” (but NO-transition mechanism at all, which means RFC7084-bis-03, but removing section 3-usage scenarios, 5-4 transition, 5.5 IPv4 multicast). However in my opinion this is unrealistic in terms of products being developed in 1-2 years, because if you have dual-stack, but no-transition support in the router, you will not have IPv4 addresses to actually deploy it … Despite that, I will be working on it if the WG decides is the way to go.

Finally, a scenario where we want to have IPv6-only, no transition, but HNCP support, is one more option, again happy to work on that if the WG believes is the way. However, again, is that realistic? I think in that case of a more complex home network, you want the router with the transition support.

Regards,
Jordi

-----Mensaje original-----
De: <[email-masked]>
Responder a: <[email-masked]>
Fecha: domingo, 11 de junio de 2017, 20:53
Para: Jordi Palet <[email-masked]>, Jordi Palet Martinez <[email-masked]>
Asunto: New Version Notification for draft-palet-v6ops-rfc7084-bis2-00.txt

    A new version of I-D, draft-palet-v6ops-rfc7084-bis2-00.txt
    has been successfully submitted by Jordi Palet Martinez and posted to the
    IETF repository.
    
    Name:		draft-palet-v6ops-rfc7084-bis2
    Revision:	00
    Title:		Minimum Requirements for IPv6-only Customer Edge Routers
    Document date:	2017-06-10
    Group:		Individual Submission
    Pages:		19
    URL:            https://www.ietf.org/internet-drafts/draft-palet-v6ops-rfc7084-bis2-00.txt
    Status:         https://datatracker.ietf.org/doc/draft-palet-v6ops-rfc7084-bis2/
    Htmlized:       https://tools.ietf.org/html/draft-palet-v6ops-rfc7084-bis2-00
    Htmlized:       https://datatracker.ietf.org/doc/html/draft-palet-v6ops-rfc7084-bis2-00

    Abstract:
       This document specifies minimum requirements for an IPv6-only
       Customer Edge (CE) router.  Specifically, the current version of this
       document focuses on the basic provisioning of an IPv6-only CE router
       and the provisioning of IPv6 hosts attached to it.  Neither the
       provisioning of IPv4 nor downstream routers are in the scope of this
       document.  The document obsoletes RFC 7084.

    
    Please note that it may take a couple of minutes from the time of submission
    until the htmlized version and diff are available at tools.ietf.org.
    
    The IETF Secretariat

**********************************************
IPv4 is over
Are you ready for the new Internet ?
http://www.consulintel.es
The IPv6 Company

This electronic message contains information which may be privileged or confidential. The information is intended to be for the use of the individual(s) named above. If you are not the intended recipient be aware that any disclosure, copying, distribution or use of the contents of this information, including attached files, is prohibited.

---

From: [email-masked]
Date: Sun, 11 Jun 2017 21:34:20 +0200

Jordi,

> This is not only going back to RFC6204, but in fact making it a much simpler device, which is suitable also for scenarios where for sure there will be for example “IPv6-only” sensors/devices, etc.

RFC6204 / RFC7084 does not specify the full functions of a complete device. They have never been intended to be a full specification of a CE. They _only_ specify the particular functions regarding IPv6.

Ole

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Sun, 11 Jun 2017 21:39:46 +0200

I know that. The question is, you agree with this path?

Regards,
Jordi

-----Mensaje original-----
De: <[email-masked]>
Responder a: <[email-masked]>
Fecha: domingo, 11 de junio de 2017, 21:34
Para: <[email-masked]>
CC: <[email-masked]>
Asunto: Re: [v6ops] New Version Notification for draft-palet-v6ops-rfc7084-bis2-00.txt

    Jordi,

    
    Ole